Bug 2627 - passdb/pdb_ldap.c line 707: pwd_len should be type "size_t"
Summary: passdb/pdb_ldap.c line 707: pwd_len should be type "size_t"
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Build environment (show other bugs)
Version: 3.0.20
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Tim Potter
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-19 09:32 UTC by Jason Mader (mail bounces back)
Modified: 2006-04-08 07:43 UTC (History)
0 users

See Also:


Attachments
change pwd_len type to "size_t" (386 bytes, patch)
2005-04-19 09:36 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-04-19 09:32:46 UTC
cc-1164 cc: WARNING File = passdb/pdb_ldap.c, Line = 707
  Argument of type "int *" is incompatible with parameter of type "size_t *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state,
user_dn, &pwd_len, clear_text\
_pw) == LDAP_SUCCESS) {
Comment 1 Jason Mader (mail bounces back) 2005-04-19 09:36:19 UTC
Created attachment 1165 [details]
change pwd_len type to "size_t"
Comment 2 Gerald (Jerry) Carter 2005-06-27 05:51:42 UTC
This looks like it has already been fixed by changing the function
declaration for pdb_nds_get_password().
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:14 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2006-04-08 07:43:40 UTC
Cleaning up versions.  There was no 3.0.15 so leaving it in bugzilla 
is causing some confusion.  Moving these nuder 3.0.20.
Originally files against 3.0.15preX.